For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get All Order Items

Get all the items for an order.

get
Authorizations
ORDERDESK-API-KEYstringRequired

Your API key, found under Store Settings on the API tab. This should be kept server-side.

ORDERDESK-STORE-IDstringRequired

Your store ID, found under Store Settings on the API tab.

Path parameters
order_idintegerRequired

Order Desk's internal order ID. This is not your source_id.

Example: 736745
Responses
200

The order's items.

application/json
statusstring · enumRequired

Either success or error.

Possible values:
messagestringOptional

Describes the result. Always present when an error occurs.

execution_timestringOptional

Time taken to process the request.

Example: 0.1524 seconds
total_recordsintegerOptionalExample: 2
idintegerRead-onlyOptional

Order Desk's internal ID number for the order item. Read-only.

Example: 1670028
namestringOptionalExample: ODU Campus Hoodie
pricenumber · doubleOptionalDefault: 0Example: 19
quantityintegerOptionalDefault: 1Example: 2
weightnumber · doubleOptionalExample: 1.2
codestringOptional

Item SKU or product code.

Example: ODU-HOOD-NVY-L
delivery_typestring · enumOptional

Available options are ship, noship, download, or future. Defaults to ship.

Default: shipPossible values:
category_codestringOptional

Further details about the type of item. Freeform text.

Example: Apparel
fulfillment_methodstringOptional

Fulfillment method responsible for this item, when one applies.

Other propertiesanyOptional
Other propertiesanyOptional
get/orders/{order_id}/order-items
curl "https://app.orderdesk.me/api/v2/orders/736745/order-items" \
  -H "ORDERDESK-STORE-ID: your-store-id" \
  -H "ORDERDESK-API-KEY: your-api-key"
{
  "status": "success",
  "message": "text",
  "execution_time": "0.1524 seconds",
  "total_records": 2,
  "order_items": [
    {
      "id": 1670028,
      "name": "ODU Campus Hoodie",
      "price": 19,
      "quantity": 2,
      "weight": 1.2,
      "code": "ODU-HOOD-NVY-L",
      "delivery_type": "ship",
      "category_code": "Apparel",
      "fulfillment_method": "text",
      "variation_list": {
        "Size": "Large",
        "Color": "Red"
      },
      "metadata": {
        "image": "https://example.com/odu-hoodie.jpg",
        "print_sku": "x533"
      }
    }
  ]
}

Last updated

Was this helpful?